# maplibre::render::render_phase::draw - Rust
API documentation for the Rust `draw` mod in crate `maplibre`.
Keywords: rust, rustlang, rust-lang, draw

# Module maplibre::render::render_phase::draw

source · [−]

## Macros

render_command_tuple_impl

## Enums

RenderCommandResult

## Traits

Draw

A draw function which is used to draw a specific `PhaseItem`.

PhaseItem

An item which will be drawn to the screen. A phase item should be queued up for rendering during the `RenderStageLabel::Queue` stage. Afterwards it will be sorted and rendered automatically in the `RenderStageLabel::PhaseSort` stage and `RenderStageLabel::Render` stage, respectively.

RenderCommand

`RenderCommand` is a trait that runs an ECS query and produces one or more `TrackedRenderPass` calls. Types implementing this trait can be composed (as tuples).